Bug 35714 - computed style on delayed transform animations is incorrect
: computed style on delayed transform animations is incorrect
Status: RESOLVED FIXED
: WebKit
CSS
: 528+ (Nightly build)
: All Mac OS X 10.5
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2010-03-03 19:06 PST by
Modified: 2010-03-25 16:42 PST (History)


Attachments
testcase (2.18 KB, text/html)
2010-03-03 19:06 PST, Dean Jackson
no flags Details
Patch (5.34 KB, patch)
2010-03-24 14:25 PST, Simon Fraser (smfr)
adele: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-03-03 19:06:01 PST
Created an attachment (id=49978) [details]
testcase

An animation with a delay that modifies transform is returning the incorrect computed style. Instead of giving the initial (or unanimated value), it is giving the value at the first keyframe.

I suspect this have never been tested because the pause API doesn't handle animation delays: https://bugs.webkit.org/show_bug.cgi?id=35696
------- Comment #1 From 2010-03-05 14:59:00 PST -------
Remember to unskip the animation/fill-mode-transform.html test on Leopard when this is fixed
------- Comment #2 From 2010-03-05 16:04:46 PST -------
on unskip on Snow Leopard
------- Comment #3 From 2010-03-24 14:25:02 PST -------
Created an attachment (id=51540) [details]
Patch
------- Comment #4 From 2010-03-24 14:31:20 PST -------
Haven't tested yet, but remember to update the Skipped files (Leopard and SnowLeopard)
------- Comment #5 From 2010-03-25 07:31:49 PST -------
http://trac.webkit.org/changeset/56543
------- Comment #6 From 2010-03-25 16:42:37 PST -------
Buildbot seems to think this might have broken some windows tests.  But then again, buildbot is incredibly behind today and may be confused:
http://build.webkit.org/results/Windows%20Debug%20(Tests)/r56543%20(11279)/results.html